controllers/AuthAssignmentController.php
<?php
/**
 * AuthAssignmentController class file.
 * @copyright (c) 2014, Bariew
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
namespace bariew\rbacModule\controllers;
use yii\web\Controller;
use \bariew\rbacModule\models\AuthItem;
use Yii;
use \bariew\rbacModule\models\AuthAssignment;
use yii\helpers\Html;
use yii\web\HttpException;
/**
 * Контроллер отвечает за назначение определенных "ролей" для "пользователей".
 *
 * @see yii\rbac\Role
 * @see yii\rbac\Permission
 * @see yii\rbac\DbManager
 */
class AuthAssignmentController extends Controller
{
    /**
     * @inheritdoc
     */
    protected $modelClass = 'AuthAssignment';
    /**
     * Название раздела.
     *
     * @return string
     */
    public function getTitle()
    {
        return Yii::t('modules/rbac', 'title_roles_to_managers');
    }
    public function actionRoleUsers($name)
    {
        $users = AuthAssignment::userList();
        $role = AuthItem::findOne($name);
        echo $this->renderPartial('role-users', compact('role', 'users'));
    }
    /**
     * Attaches or detaches user role/permission.
     * @param string $id permission/role name.
     * @param integer $user_id user id.
     * @param integer $add 1/0 whether to add or to remove user permission.
     * @throws \yii\web\HttpException only_root_remove_denied
     */
    public function actionChange($id, $user_id, $add)
    {
        $authItem = AuthItem::findOne($id);
        if ($add) {
            Yii::$app->authManager->assign($authItem, $user_id);
        } else {
            $rootCount = AuthAssignment::find()->where(['item_name' => $id])->count();
            if ($id == 'root' && ! $rootCount < 2) {
                throw new HttpException(403, Yii::t('access', 'only_root_remove_denied'));
            }
            Yii::$app->authManager->revoke($authItem, $user_id);
        }
    }
}

controllers/AuthItemChildController.php
<?php
/**
 * AuthItemChildController class file.
 * @copyright (c) 2014, Bariew
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
namespace bariew\rbacModule\controllers;
use bariew\rbacModule\models\AuthItem;
use Yii;
use yii\web\Controller;
use \yii\web\NotFoundHttpException;
use bariew\rbacModule\models\AuthItemChild;
use yii\rbac\Item;

/**
 * Контроллер служит для создания "ролей".
 * В таблице, в которой хранятся роли, точно также хранятся ещё и "права доступа",
 * однако в рамках данного контроллера создание "прав доступа" недоступно.
 *
 * @see yii\rbac\Role
 * @see yii\rbac\Permission
 * @see yii\rbac\DbManager
 */
class AuthItemChildController extends Controller
{
    /**
     * Название раздела.
     *
     * @return string
     */
    public function getTitle()
    {
        return Yii::t('modules/rbac', 'Auth item childs');
    }
    
    /**
     * Обновление модели.
     *
     * @param integer $name parent model name
     * @return mixed
     */
    public function actionTree($name)
    {
        $parent = $this->findParentModel($name);
        $children = $parent->getPermissions()->select('name')->column();
        $actions = AuthItemChild::permissionList();
        return $this->renderPartial('tree', compact('parent', 'children', 'actions'));
    }
    
    /**
     * Creates new permission attached to $id owner.
     * @param integer $id parent id
     * @return \yii\web\View action view
     */
    public function actionAdd($id, $parent_id, $add = 1)
    {
        $parent = $this->findParentModel($parent_id);
        $model = $this->findParentModel();
        $model->type = Item::TYPE_PERMISSION;
        $model->name = $id;
        if ((!$child = $model::findOne($id)) && $add) {
            $child = $model;
        }
        if ($add) {
            $parent->addChild($child);
        } else if ($child){
            $parent->removeChild($child);
        }
    }

    /**
     * @param bool $id
     * @throws NotFoundHttpException
     * @return AuthItemChild
     */
    protected function findModel($id = false)
    {
        if (!$id) {
            $model = new AuthItemChild();
        }else if (!$model = AuthItemChild::findOne($id)) {
            throw new NotFoundHttpException('Model not found.');
        }
        return $model;
    }
    
    /**
     * @param bool $id
     * @throws NotFoundHttpException
     * @return AuthItem
     */
    protected function findParentModel($id = false)
    {
        if (!$id) {
            $model = new AuthItem();
        }else if (!$model = AuthItem::findOne($id)) {
            throw new NotFoundHttpException('Model not found.');
        }
        $model->type = \yii\rbac\Item::TYPE_ROLE;
        return $model;
    }
}

controllers/AuthItemController.php
<?php
/**
 * AuthItemController class file.
 * @copyright (c) 2014, Bariew
 * @license http://www.opensource.org/licenses/bsd-license.php
 */
namespace bariew\rbacModule\controllers;
use bariew\rbacModule\models\AuthItem;
use Yii;
use yii\rbac\Item;
use yii\web\Controller;
use \yii\web\NotFoundHttpException;
/**
 * Контроллер служит для создания "ролей".
 * В таблице, в которой хранятся роли, точно также хранятся ещё и "права доступа",
 * однако в рамках данного контроллера создание "прав доступа" недоступно.
 *
 * @see yii\rbac\Role
 * @see yii\rbac\Permission
 * @see yii\rbac\DbManager
 */
class AuthItemController extends Controller
{
    public $enableCsrfValidation = false;
    /**
     * Generates menu.
     * @return Widget menu
     */
    public function getMenu()
    {
        $model = $this->findModel('root');
        return $model->menuWidget([], 'menuCallback');
    }
    /**
     * Название раздела.
     *
     * @return string
     */
    public function getTitle()
    {
        return Yii::t('modules/rbac', 'title_roles');
    }
    /**
     * @inheritdoc
     */
    public function actionIndex()
    {
        return $this->render('index', compact('model'));
    }
    /**
     * Обновление модели.
     *
     * @param integer $id mode id
     * @return mixed
     */
    public function actionUpdate($id)
    {
        $pid = Yii::$app->request->get('pid');
        $model = $this->findModel($id);
        $parent = $pid ? $this->findModel($pid) : $model;
        if ($model->load(\Yii::$app->request->post()) && $model->updateItem()) {
            Yii::$app->session->setFlash('success', Yii::t('modules/rbac', 'Saved'));
            return $this->redirect(['update', 'id' => $model->name, 'pid' => $parent->name]);
        }
        return $this->render('form', compact('model'));
    }
    /**
     * Creates new role attached to $id owner.
     * @param integer $id parent id
     * @return \yii\web\View action view
     */
    public function actionCreate($id)
    {
        $parent = $this->findModel($id);
        $model = $this->findModel();
        $model->type = Item::TYPE_ROLE;
        if ($model->load(\Yii::$app->request->post()) && $parent->addChild($model)) {
            Yii::$app->session->setFlash('success', Yii::t('modules/rbac', 'Role saved'));
            return $this->redirect(['update', 'id' => $model->name, 'pid' => $parent->name]);
        }
        return $this->render('form', compact('model'));
    }
    /**
     * Detaches model from parent.
     * And deletes model if there's no more parents.
     * @param integer $id mode id
     * @return \yii\web\View action view
     */
    public function actionDelete($id)
    {
        $model = $this->findModel($id);
        $model->delete();
    }
    /**
     * Detaches model from old parent.
     * And attaches to the new one.
     * @param integer $id mode id
     * @param integer $pid parent id
     * @return \yii\web\View action view
     */
    public function actionTreeMove($id, $pid)
    {
        $child = $this->findModel($id);
        $oldParent = $this->findModel($pid);
        $newParent = $this->findModel(Yii::$app->request->post('pid'));
        $child->move($oldParent, $newParent);
        echo json_encode($child->nodeAttributes($child, $newParent->id, time()));
    }

    /**
     * @param bool $id
     * @throws NotFoundHttpException
     * @return AuthItem
     */
    protected function findModel($id = false)
    {
        if (!$id) {
            return new AuthItem();
        }
        if (($model = AuthItem::findOne(['name'=>$id])) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('Model not found.');
        }
    }
}

views/auth-item/_form.php
<?php

use yii\bootstrap\ActiveForm;
use \yii\jui\AutoComplete;
use \yii\helpers\Html;
use \yii\rbac\Item;
use bariew\rbacModule\models\AuthRule;
use bariew\rbacModule\models\AuthItem;
/**
 * @var yii\web\View $this
 * @var AuthItem $model
 * @var yii\widgets\ActiveForm $form
 */

    $form = ActiveForm::begin();

    if ($model->type == Item::TYPE_ROLE) {
        echo $form->field($model, 'name')->textInput();
    } else if ($model->isNewRecord) {
        echo Html::activeLabel($model, 'name')
        . '<br />'
        . AutoComplete::widget([
              'model' => $model,
              'attribute' => 'name',
              'clientOptions' => [
                  'source' => array_values($model::permissionList()),
                  'delay' => 0,
                  'autoFocus' => true,
                  'minLength' => 0
              ],
        ]);
    }

    if ($model->type == Item::TYPE_PERMISSION) {
        echo $form->field($model, 'rule_name')->dropDownList(AuthRule::listAll(), ['prompt' => false]);
    }

    echo $form->field($model, 'description')->textarea(['rows' => 6]);

?>
<div class="form-group">
    <?= \yii\helpers\Html::submitButton($model->isNewRecord ? Yii::t('modules/rbac', 'Create') : Yii::t('modules/rbac', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
</div>
<?php ActiveForm::end(); ?>

views/auth-item/form.php
<div class="row">
    <div class="col-md-3 well">
        <?= \Yii::$app->controller->menu; ?>
    </div>
    <div class="col-md-9">
    <?php
    $items = [[
        'label' => Yii::t('modules/rbac', 'Settings'),
        'content' => $this->render('_form', compact('model')),
    ]];
    if (!$model->isNewRecord) {
        $items = array_merge($items, [
            [
                'label' => Yii::t('modules/rbac', 'Users'),
                'url' => ['auth-assignment/role-users', 'name' => $model->name],
                'visible'   => false
            ],
            [
                'label' => Yii::t('modules/rbac', 'Permissions'),
                'url' => ['auth-item-child/tree', 'name' => $model->name],
                'visible'   => false
            ],
        ]);
    }

    echo \yii\jui\Tabs::widget([
        'items' => $items,
        'options' => ['tag' => 'div'],
        'itemOptions' => ['tag' => 'div'],
        'headerOptions' => ['class' => 'my-class'],
        'clientOptions' => ['collapsible' => false],
    ]); ?>
    </div>
</div>

views/auth-item/index.php
<div class="row">
    <div class="col-md-3 well">
        <?= \Yii::$app->controller->menu; ?>
    </div>
    <div class="col-md-9">

    </div>
</div>